package com.huigou.topsun.product.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.*;

import lombok.Data;

/**
 * 产品版面信息
 * @TableName product_face
 */
@Table(name="product_face")
@Entity
public class ProductFace implements Serializable {
    /**
     * 产品版面ID
     */
    @Id
    @Column(name = "product_face_id")
    private BigDecimal productFaceId;

    /**
     * 产品版面图片
     */
    @Column(name = "product_image")
    private String productImage;

    public BigDecimal getProductFaceId() {
        return productFaceId;
    }

    public void setProductFaceId(String productFaceId) {
        this.productFaceId = (productFaceId != null) ? new BigDecimal(productFaceId) : null;
    }

    public String getProductImage() {
        return productImage;
    }

    public void setProductImage(String productImage) {
        this.productImage = productImage;
    }
}